package com.ruoyi.mall.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.mall.domain.Product;
import com.ruoyi.mall.domain.ProductCategory;
import com.ruoyi.mall.domain.UserFavorite;

import java.util.List;
import java.util.Map;

public interface UserFavoriteService extends IService<UserFavorite> {

     Boolean addFavorite(Long productId);
     boolean existsByUserIdAndProductId(Long userId, Long productId);
    boolean removeFavorite(Long userId, Long productId);
    List<Product> getUserFavorites();
    long getUserFavoriteCount();

}
